Bug 861970 - Please respond on open squeak-vm bugs
Please respond on open squeak-vm bugs
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: squeak-vm (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jaroslav Škarvada
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-01 09:12 EDT by Matthew Miller
Modified: 2012-11-26 23:43 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-26 23:43:54 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matthew Miller 2012-10-01 09:12:57 EDT
Hi Gavin. Can you take a look at 

bug #544256 	(desktop file in wrong place, filed against Fedora 13)
bug #856016 	(include vm-sound-pulse)
bug #861633     (update vm to recent version)

Also note that Jaroslav Škarvada has asked to become a co-maintainer.

Thanks!
Comment 1 Pavel Krivanek 2012-10-01 12:32:46 EDT
Some notes to Škarvada's build squeak-vm-4.4.7.2357-1.fc16.x86_64: 
1) when I try to open mysqueak, it reports:
  /usr/bin/mysqueak: line 5: exec: inisqueak: not found
2) the overall structure of squeak packages is quite problematic from the perspective of the source files (SqueakV4.sources etc.). Currently the squeak-image package creates source files in /usr/share/squeak and then creates symlinks in the VM directory (/usr/lib64/squeak/4.4.7-2357). This makes -vm and -image package too dependent on each other. You have to have both packages in the right versions (so it makes no real sense to have two packages at all). The -image package should not modify the directory with the virtual machine. Moreover it can lead to problems when the user creates custom image with older image version (let's say 3.9) and then it upgrades the system so the newer version of squeak-image package is installed. In that case the user losts source codes for version 3. 

The ideal solution would be to have third set of packages with only source files that will be placed in /usr/share/squeak. Names of that packages would be squeak-sources4, squeak-sources41, squeak-sources39 etc. The only one package squeak-sources would be possible too but it then would need to contain large set of source files to support images based on older versions. 

The squeak-image package will then be dependent on specific sources package version. AFAIK the squeak image is looking for the sources file in this order:
- current directory
- image directory
- vm directory
This search is done on the Smalltalk side and the VM package cannot modify it. If we do not want to have source files (or symlinks) in the vm directory, the best solution would be to extend inisqueak script to create symlink to the corresponding sources version in /usr/share/squeak next to the image and changes file in the directory where inisqueak/mysqueak was executed.
Comment 2 Matthew Miller 2012-10-08 14:55:58 EDT
*ping* Gavin.... Any update?
Comment 3 Matthew Miller 2012-10-15 08:52:06 EDT
Gavin, any update on this? Thanks!
Comment 4 Fedora Admin XMLRPC Client 2012-10-22 16:29:27 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 5 Jaroslav Škarvada 2012-11-23 08:47:06 EST
I am new maintainer, update is on the way, for details please see bug 861633.
Comment 6 Fedora Update System 2012-11-23 10:06:10 EST
squeak-image-4.3-1.fc18,squeak-vm-4.10.2.2614-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/squeak-image-4.3-1.fc18,squeak-vm-4.10.2.2614-1.fc18
Comment 7 Fedora Update System 2012-11-23 14:54:46 EST
Package squeak-image-4.3-1.fc18, squeak-vm-4.10.2.2614-2.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing squeak-image-4.3-1.fc18 squeak-vm-4.10.2.2614-2.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-18919/squeak-image-4.3-1.fc18,squeak-vm-4.10.2.2614-2.fc18
then log in and leave karma (feedback).
Comment 8 Fedora Update System 2012-11-26 23:43:57 EST
squeak-image-4.3-1.fc18, squeak-vm-4.10.2.2614-2.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.